CustomActionDialog Class Reference

`#include <CustomActionDialog.h>`

Inheritance diagram for CustomActionDialog:

## Public Member Functions

| CustomActionDialog (QWidget *parent, Qt::WFlags fl=0)
| Constructor. More...

## Private Slots

QAction * | addAction ()
void | addMenu ()
void | chooseFile ()
void | chooseFolder ()
void | chooseIcon ()
void | enableDeleteMenuBtn (const QString &)
void | removeAction ()
void | removeMenu ()
void | saveCurrentAction ()
void | setCurrentAction (int)

## Private Member Functions

QAction * | actionAt (int row)
void | customizeAction (QAction *action)
void | init ()
void | saveAction (QAction *action)
void | saveMenu (QMenu *menu)
void | updateDisplayList ()
bool | validUserInput ()

## Private Attributes

QPushButton * | buttonAdd
QPushButton * | buttonCancel
QPushButton * | buttonRemove
QPushButton * | buttonSave
QStringList | d_app_shortcut_keys
QList< QToolBar * > | d_app_toolbars
QList< QMenu * > | d_menus
QLineEdit * | fileBox
QPushButton * | fileBtn
QLineEdit * | folderBox
QPushButton * | folderBtn
QLineEdit * | iconBox
QPushButton * | iconBtn
QListWidget * | itemsList
QComboBox * | menuBox
QRadioButton * | menuBtn
QPushButton * | newMenuBtn
QPushButton * | removeMenuBtn
QLineEdit * | shortcutBox
QLineEdit * | textBox
QComboBox * | toolBarBox
QRadioButton * | toolBarBtn
QLineEdit * | toolTipBox

## Constructor & Destructor Documentation

## CustomActionDialog()

CustomActionDialog::CustomActionDialog | ( | QWidget * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

Constructor.

Parameters

  parent | parent widget (must be the application window!=
  fl | window flags

References addAction(), addMenu(), buttonAdd, buttonCancel, buttonRemove, buttonSave, chooseFile(), chooseFolder(), chooseIcon(), enableDeleteMenuBtn(), fileBox, fileBtn, folderBox, folderBtn, iconBox, iconBtn, init(), itemsList, menuBox, menuBtn, newMenuBtn, removeAction(), removeMenu(), removeMenuBtn, saveCurrentAction(), setCurrentAction(), shortcutBox, textBox, toolBarBox, toolBarBtn, and toolTipBox.

## Member Function Documentation

## actionAt()

QAction * CustomActionDialog::actionAt | ( | int | row | ) |

private

References ApplicationWindow::customActionsList().

Referenced by removeAction(), saveCurrentAction(), and setCurrentAction().

## addAction

QAction * CustomActionDialog::addAction | ( |  | ) |

private slot

References ApplicationWindow::addCustomAction(), customizeAction(), ApplicationWindow::customMenusList(), d_app_toolbars, d_menus, itemsList, menuBox, saveAction(), toolBarBox, toolBarBtn, and validUserInput().

Referenced by CustomActionDialog().

## addMenu

void CustomActionDialog::addMenu | ( |  | ) |

private slot

References ApplicationWindow::addCustomMenu(), d_menus, menuBox, and saveMenu().

Referenced by CustomActionDialog().

## chooseFile

void CustomActionDialog::chooseFile | ( |  | ) |

private slot

References fileBox, and ApplicationWindow::getFileName().

Referenced by CustomActionDialog().

## chooseFolder

void CustomActionDialog::chooseFolder | ( |  | ) |

private slot

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customActionsList(), folderBox, ApplicationWindow::loadCustomActions(), ApplicationWindow::removeCustomAction(), and updateDisplayList().

Referenced by CustomActionDialog(), and validUserInput().

## chooseIcon

void CustomActionDialog::chooseIcon | ( |  | ) |

private slot

References ApplicationWindow::getFileName(), iconBox, and ApplicationWindow::imageFilter().

Referenced by CustomActionDialog().

## customizeAction()

void CustomActionDialog::customizeAction | ( | QAction * | action | ) |

private

References fileBox, iconBox, shortcutBox, textBox, and toolTipBox.

Referenced by addAction(), and saveCurrentAction().

## enableDeleteMenuBtn

void CustomActionDialog::enableDeleteMenuBtn | ( | const QString & | title | ) |

private slot

References d_menus, and removeMenuBtn.

Referenced by CustomActionDialog(), and init().

## init()

void CustomActionDialog::init | ( |  | ) |

private

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customizableMenusList(), ApplicationWindow::customMenusList(), d_app_shortcut_keys, d_app_toolbars, d_menus, enableDeleteMenuBtn(), folderBox, menuBox, ApplicationWindow::menusList(), toolBarBox, ApplicationWindow::toolBarsList(), and updateDisplayList().

Referenced by CustomActionDialog().

## removeAction

void CustomActionDialog::removeAction | ( |  | ) |

private slot

References actionAt(), ApplicationWindow::customActionsDirPath, itemsList, ApplicationWindow::removeCustomAction(), and setCurrentAction().

Referenced by CustomActionDialog().

## removeMenu

void CustomActionDialog::removeMenu | ( |  | ) |

private slot

References ApplicationWindow::customActionsDirPath, ApplicationWindow::customActionsList(), ApplicationWindow::customMenusList(), itemsList, menuBox, ApplicationWindow::removeCustomAction(), ApplicationWindow::removeCustomMenu(), and setCurrentAction().

Referenced by CustomActionDialog().

## saveAction()

void CustomActionDialog::saveAction | ( | QAction * | action | ) |

private

References ApplicationWindow::customActionsDirPath.

Referenced by addAction(), and saveCurrentAction().

## saveCurrentAction

void CustomActionDialog::saveCurrentAction | ( |  | ) |

private slot

References actionAt(), ApplicationWindow::addCustomAction(), customizeAction(), ApplicationWindow::customMenusList(), d_app_toolbars, d_menus, itemsList, menuBox, menuBtn, ApplicationWindow::removeCustomAction(), saveAction(), toolBarBox, toolBarBtn, and updateDisplayList().

Referenced by CustomActionDialog().

## saveMenu()

void CustomActionDialog::saveMenu | ( | QMenu * | menu | ) |

private

References ApplicationWindow::customActionsDirPath.

Referenced by addMenu().

## setCurrentAction

void CustomActionDialog::setCurrentAction | ( | int | row | ) |

private slot

References actionAt(), fileBox, iconBox, menuBox, menuBtn, shortcutBox, textBox, toolBarBox, toolBarBtn, and toolTipBox.

Referenced by CustomActionDialog(), removeAction(), removeMenu(), and updateDisplayList().

## updateDisplayList()

void CustomActionDialog::updateDisplayList | ( |  | ) |

private

References itemsList, and setCurrentAction().

Referenced by chooseFolder(), init(), and saveCurrentAction().

## validUserInput()

bool CustomActionDialog::validUserInput | ( |  | ) |

private

References chooseFolder(), ApplicationWindow::customActionsList(), d_app_shortcut_keys, fileBox, folderBox, iconBox, shortcutBox, and textBox.

Referenced by addAction().

## Member Data Documentation

## buttonAdd

QPushButton * CustomActionDialog::buttonAdd

private

Referenced by CustomActionDialog().

## buttonCancel

QPushButton* CustomActionDialog::buttonCancel

private

Referenced by CustomActionDialog().

## buttonRemove

QPushButton * CustomActionDialog::buttonRemove

private

Referenced by CustomActionDialog().

## buttonSave

QPushButton * CustomActionDialog::buttonSave

private

Referenced by CustomActionDialog().

## d_app_shortcut_keys

QStringList CustomActionDialog::d_app_shortcut_keys

private

Referenced by init(), and validUserInput().

## d_app_toolbars

QList<QToolBar *> CustomActionDialog::d_app_toolbars

private

Referenced by addAction(), init(), and saveCurrentAction().

## d_menus

QList<QMenu *> CustomActionDialog::d_menus

private

Referenced by addAction(), addMenu(), enableDeleteMenuBtn(), init(), and saveCurrentAction().

## fileBox

QLineEdit * CustomActionDialog::fileBox

private

Referenced by chooseFile(), CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

## fileBtn

QPushButton * CustomActionDialog::fileBtn

private

Referenced by CustomActionDialog().

## folderBox

QLineEdit* CustomActionDialog::folderBox

private

Referenced by chooseFolder(), CustomActionDialog(), init(), and validUserInput().

## folderBtn

QPushButton* CustomActionDialog::folderBtn

private

Referenced by CustomActionDialog().

## iconBox

QLineEdit * CustomActionDialog::iconBox

private

Referenced by chooseIcon(), CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

## iconBtn

QPushButton * CustomActionDialog::iconBtn

private

Referenced by CustomActionDialog().

## itemsList

QListWidget* CustomActionDialog::itemsList

private

Referenced by addAction(), CustomActionDialog(), removeAction(), removeMenu(), saveCurrentAction(), and updateDisplayList().

## menuBox

QComboBox* CustomActionDialog::menuBox

private

Referenced by addAction(), addMenu(), CustomActionDialog(), init(), removeMenu(), saveCurrentAction(), and setCurrentAction().

## menuBtn

QRadioButton* CustomActionDialog::menuBtn

private

Referenced by CustomActionDialog(), saveCurrentAction(), and setCurrentAction().

## newMenuBtn

QPushButton* CustomActionDialog::newMenuBtn

private

Referenced by CustomActionDialog().

## removeMenuBtn

QPushButton * CustomActionDialog::removeMenuBtn

private

Referenced by CustomActionDialog(), and enableDeleteMenuBtn().

## shortcutBox

QLineEdit * CustomActionDialog::shortcutBox

private

Referenced by CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

## textBox

QLineEdit * CustomActionDialog::textBox

private

Referenced by CustomActionDialog(), customizeAction(), setCurrentAction(), and validUserInput().

## toolBarBox

QComboBox * CustomActionDialog::toolBarBox

private

Referenced by addAction(), CustomActionDialog(), init(), saveCurrentAction(), and setCurrentAction().

## toolBarBtn

QRadioButton * CustomActionDialog::toolBarBtn

private

Referenced by addAction(), CustomActionDialog(), saveCurrentAction(), and setCurrentAction().

## toolTipBox

QLineEdit * CustomActionDialog::toolTipBox

private

Referenced by CustomActionDialog(), customizeAction(), and setCurrentAction().

The documentation for this class was generated from the following files:

- qtiplot/src/core/CustomActionDialog.h
- qtiplot/src/core/CustomActionDialog.cpp